Skip to main content
Developer

Error Handling in BankID Signing WYSIWYS#

View as Markdown
On this page

WYSIWYS-APIs#

The term WYSIWYS-APIs includes both versions of the PAdES signing and conversion APIs:

  • /signdoc/pades
  • /signdoc/convert
  • /v1/signdoc/pades
  • /v1/signdoc/convert

All of these APIs use standard HTTP response codes to communicate the result of a request.

Unfortunately it is currently not possible to provide more information in case of errors because of backwards-compatibility of the API.

Error Responses / HTTP Status Codes#

For a detailed breakdown of possible responses on a per-request-basis see the relevant API documentations:

How to Fix Errors? What to Do?#

How to react to errors depends mostly on the category of the HTTP status code.

HTTP 401 & 403

Use the correct token and authentication data and try again. If the problem persists, contact BankID support.

HTTP 400 - returning error message

This is a request validation error because of missing or invalid parameter values. Fix the request according to the error message and try again. If the problem persists, contact BankID support.

HTTP 400 - returning JSON object

This is a PDF validation error. Either the PDF document(s) themselves or in combination with the request parameters given cannot be used for signing.

See the response field conversionErrors for details. Note that this is done on a per-document-level.

Modify the PDF(s) and/or request parameters to make them fit fo signing. If the problem seems "wrong" or unsolvable contact BankID support.

HTTP 5xx

Technical problems, contact BankID support.

WYSIWYS (UI and Backend)#

The BankID Signing WYSIWYS workflow communicates errors to the user that is signing through the UI. It uses error codes and error references that will help to identify what caused the problem when contacting BankID support.

Error code: Error code classifying the problem (see table below).

Error reference: Unique reference to a particular error occurrence - please state this when contacting BankID support

Error Codes#

Error CodeDescriptionCategoryQuick Fix / Remark
SIG-FE201Sign order ID not foundDocument / data errors
SIG-FE202Document fetch succeeded but content is corrupt/emptyDocument / data errorsTry to refresh the browser
SIG-FE203PDF failed to renderDocument / data errorsTry to refresh the browser
SIG-FE204Download could not be started or completedDocument / data errors
SIG_WB200Problem loading documentDocument / data errors
SIG-FE301User session expiredClient and user errorsMerchant needs to create a new sign order
SIG-FE302User cancelled signing (UI)Client and user errorsMerchant needs to create a new sign order
SIG-FE303Signing failed for other reasonsClient and user errors
SIG-FE304Attempt to sign when already completedClient and user errors
SIG_WB300No consent given during loginClient and user errorsUser did not consent to data use - cannot continue
SIG_WB301BankID login errorClient and user errorsError during login - could be cancelled, wrong password etc.
SIG-FE401Client/server markup mismatchTechnical errorsTry to refresh the browser
SIG-FE402Double submitTechnical errorsTry to refresh the browser
SIG_WB500Internal errorSigning errors
SIG_WB501Internal errorSigning errors
SIG_WB502Internal errorSigning errors
SIG_WB503Internal errorSigning errors
SIG_WB504Internal errorSigning errors
SIG_WB505Internal errorSigning errors
SIG_WB506Internal errorSigning errors
SIG_WB507Internal errorSigning errors
SIG_WB508Internal errorSigning errors
SIG_WB509Internal errorSigning errors
SIG_WB506Internal errorSigning errors
SIG_WB600Internal errorValidation errors
SIG_WB601Internal errorValidation errors
SIG_WB602Internal errorValidation errors
SIG_WB603Internal errorValidation errors
SIG_WB604Internal errorValidation errors
SIG_WB605Internal errorValidation errors
SIG_WB606Internal errorValidation errors
SIG_WB607Internal errorValidation errors
SIG_WB700Internal errorTimestamping errors
SIG_WB701Internal errorTimestamping errors
SIG_WB702Internal errorTimestamping errors
SIG_WB703Internal errorTimestamping errorsCRL/OCSP validation failed - non-public certificate in PDF?
SIG-FE999Internal errorFallback errors
SIG_WB999Internal errorFallback errors

How to Fix Errors? What to Do?#

How to react to errors depends mostly on the category of the error. See the 'Quick Fix' column for possible error-specific things that might help to fix the problem.

Category 'Document / data errors'

The category contains data inconsistencies as well as some client-side browser problems. If no quick fix is given or if the problem persists, contact BankID support.

Category 'Client and user errors'

This category holds mostly errors that result from user decisions (SIG_WB300 & SIG_WB301) or need fixing from the merchant side (SIG-FE301). For the remaining technical issues contact BankID support.

Category 'Technical errors'

The category consists of client side and communication problems. If the quick fix does not help, contact BankID support.

Category 'Signing errors'

These are all internal errors that can occur during the signing process. If the problem persists, contact BankID support.

Category 'Validation errors'

These are all internal errors that can occur during the signing process. If the problem persists, contact BankID support.

Category 'Timestamping errors'

These are all internal errors that can occur during the timestamping process. If the problem persists, contact BankID support.

Category 'Fallback errors'

These are general client and server side errors. If the problem persists, contact BankID support.

Was this page helpful?